This is the file <info>eclu.info, which documents the CLU Mode
EMACS package.

	---> report bugs and misfeatures to WBA@XX <---

	EMACS CLU mode is an editing package to facilitate editing of
CLU programs.  It is most briefly described as being LISP mode which
knows about the CLU statement nesting keywords.  That is, it replaces
the "S-expression" with a "CLUexp" -- a properly nested CLU expression
or statement.

	CLU mode is entered with the command M-X CLU Mode.  This mode
is also entered by the usual mechanism when visiting a file with the
extension "CLU", "SPECS", or "EQUATE", or with the incantation
"-*-CLU-*-" on the first nonempty line.

	A CLUexp is a properly nested piece of text in which the
nesting depth is increased by these "beginning" tokens:

   (  [  {   begin proc iter cluster if for while tagcase except

and is decreased by these "ending" tokens:

   )  ]  }   end

Furthermore, these "intermediate" tokens:

   then elseif else do tag others when

are treated like an invisible "end begin" pair.  This assists the
indenter.  The types of the beginning and ending tokens are not
checked against each other.  For example, "begin )" is a legal CLUexp
(though it will confuse the "display matching paren" feature, since
the latter does not know about keywords.)

	In CLU mode, letters, digits and underscore are alphabetic;
all others are break characters.  But see the special treatment of
dollarsign and period by C-M-F and C-M-B.  All of the usual word
commands (M-F, M-B, M-D, M-rubout, M-T, etc.) are available.